// Indicator.h: interface for the CIndicator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INDICATOR_H__E0827403_9966_48DF_A663_D5052638E2A0__INCLUDED_)
#define AFX_INDICATOR_H__E0827403_9966_48DF_A663_D5052638E2A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>

//------------- Style flags -----------------------
#define IND_STYLE_DRAW_TEXT        0x0001 // draw indicator text
#define IND_STYLE_USE_DISTANCE     0x0002 // decrease indicator rectangle
#define IND_STYLE_DRAW_EDGE        0x0004 // draw indicator edge
#define IND_STYLE_USE_BITMAP       0x0008 // using pictograms instead of text
//-------------------------------------------------

//##ModelId=3E28046400C5
typedef CArray< CBitmap* , CBitmap*  > CBitmapArray;
//##ModelId=3E76D1DE004B
typedef CArray< CString* , CString*  > CStrArray;


//##ModelId=3E27F9870153
class __declspec (dllimport) CIndicator : 
public CObject  
{
private:
  //[[[    ]]]
  //##ModelId=3E77421F029A
  DWORD m_dwIndicatorStyle;

public:
	//##ModelId=3E8B0C2A0289
	void SetDistance(int nDistance);
  //[[[   ]]]
  //##ModelId=3E77AE230293
  COLORREF m_ForeColor;

  //Adds or clears IndicatorStyle flags.
  //If the parameter blAdd is set to TRUE, the flag is 
  //added; otherwise the flag is cleared.
  //##ModelId=3E7749320258
  void ChangeIndicatorStyle(DWORD dwNewStyleFlag, BOOL blAdd = TRUE);

  //[[[      m- m_dwIndicatorStyle. ]]]
  //##ModelId=3E77460E0216
  const DWORD& get_IndicatorStyle() const;

	//[[[     . ]]]
  //##ModelId=3E7740D5017D
  int m_nDistance;

  //##ModelId=3E76D21F02B1
  BOOL LoadString(UINT nStringResourceID, int nStateIndex);

  //##ModelId=3E76CF5502AB
  BOOL LoadString(CString String, int nStateIndex);

  //##ModelId=3E280C7601D4
  BOOL LoadBitMapImage(LPCTSTR lpszBitmapFileResource, int nStateIndex);

  //##ModelId=3E280DEB0235
  BOOL LoadBitMapImage(UINT nBitmapResourceID, int nStateIndex);

  //[[[    ]]]
  //##ModelId=3E27FAAC0118
  unsigned int m_nState;

  //##ModelId=3E27FC5501AF
  CBitmapArray m_BitmapArray;

	//##ModelId=3E76CEDD0059
  CStrArray m_StringArray;

	//##ModelId=3E27F9870167
	CIndicator();
	//##ModelId=3E27F9870168
	virtual ~CIndicator();

  //{{AFX_VIRTUAL(CIndicator)
  public:
  //##ModelId=3E27F9CF023C
  virtual void Draw(CDC* pdc, const CRect& rcBounds);
  //}}AFX_VIRTUAL

};

#endif // !defined(AFX_INDICATOR_H__E0827403_9966_48DF_A663_D5052638E2A0__INCLUDED_)
